cmu olympus 对话系统安装配置

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/zhongkeli/article/details/9025043

该对话系统的wiki是http://wiki.speech.cs.cmu.edu/olympus/index.php/Olympus

1.先按照下表的要求安装,注意版本号的要求(Text-To-Speech推荐安装Microsoft's Speech API。Cepstral's Swift, or CMU's Flite 不知道怎么配置)

Type of Requirement Tested Versions Recommend Version
Operating System Microsoft Windows XP/Vista/7
Contact Benjamin Frisch for Linux port progress information.
Windows 7 (Vista should work; XP is less likely to)
Source Control Subversion 1.4 or Newer TortoiseSVN 1.5 or Newer
Perl 5 Perl 5.8 or Higher with the Win32::API Perl Module ActiveState's ActivePerl 5.8 or Newer with Win32::API Perl Module
Java Sun's Java JDK SE 6 or Newer Sun's Java SE Development Kit 6 Update 13 or Newer
Python Python 2.5 or Newer Python 2.5 or Newer
Apache ANT Version 1.7.1 or Newer Sun's NetBeans 6.5 Java SE Edition or Higher (this includes ANT)
Compiler Microsoft Visual C++ 2005 with Service Pack 1 with original Windows SDK or Newer. The free (beer) Visual C++ 2008 Express Edition also works except for KalliopeSAPI[1] Visual Studio 2008 SP1 with the Windows 7 SDK
Project Generation Kitware's CMake 2.6 or Higher Kitware's CMake 2.6
Text-To-Speech Microsoft's Speech APICepstral's Swift, or CMU's Flite

Flite or SAPI (accessed through the Windows 7 SDK)


2.配置CMAKE的系统环境,还有Java系统环境


配置olympus和logios系统环境(如果能编译通过就不需要手动添加,编译时会帮你添加,)


 

3.使用svn下载svn co http://trac.speech.cs.cmu.edu/repos/olympus/branches/2.5

4.下载Logios  PocketSphinx   Sphinxbase 三个包,并放在相应位置:

Olympus/Tools/Logios(http://svn.code.sf.net/p/cmusphinx/code/trunk/logios/)


Olympus/Library/Pocketsphinx


Olympus/Library/Sphinxbase

PocketSphinx   Sphinxbase 我使用的是0.7版

1)修改Olympus\Libraries\cmake-sphinxbase里面的CMakeLists文件

修改add_library的路径:把 sphinxbase/include改为sphinxbase/include/sphinxbase,或者把sphinxbase/include/sphinxbase里面的相应的文件复制到sphinxbase/include;为了保障,最好一个一个检查一下,看看CMakeLists是否与sphinxbase/include/sphinxbase一一对应,因为sphinxbase版本不一样,可能CMakeLists没有把sphinxbase/include/sphinxbase引用上或者应用了一些sphinxbase/include/sphinxbase没有的文件。

2)修改Olympus\Libraries\cmake-pocketsphinx里面的CMakeLists文件

修改add_library的路径:看看CMakeLists是否与Olympus\Libraries\pocketsphinx一一对应,因为pocketsphinx版本不一样,可能CMakeLists没有把Olympus\Libraries\pocketsphinx引用上或者应用了一些Olympus\Libraries\pocketsphinx没有的文件。

这一步很重要,虽然很繁琐,不然很容易出现error LNK2019: unresolved external symbol错误

5.双击OlympusBuild.pl文件进行编译配置,最好双击运行,不要在dos窗口运行,不然很容易造成路径不一致。

6.在http://wiki.speech.cs.cmu.edu/olympus/index.php/Tutorials_Overview

使用svn下载

http://trac.speech.cs.cmu.edu/repos/olympus/tutorials/Tutorial1/branches/2.5
http://trac.speech.cs.cmu.edu/repos/olympus/tutorials/Tutorial2/branches/2.5

的例子,并双击SystemBuild.pl进行配置,然后运行SystemRunTTY.bat就可以运行例子。
阅读更多
换一批

没有更多推荐了,返回首页